[mythtv-users] An interesting 0.20.2 upgrade gotcha.

Brett Kosinski fancypantalons at gmail.com
Wed Sep 19 13:54:17 UTC 2007

Well, a gotcha for me, anyway... others may be smarter. :)  Anyway, I have
an FC5-based mythbackend, and since there's no 0.20.2 packages for that
system, I built out my own by hand.  The result is I ended up with a set of
0.20.0 (or whatever the old version was) binaries in /usr, and a set of
0.20.2 binaries in /usr/local.  Of course, there's nothing wrong with
this... I just modified in /etc/init.d/mythbackend script to start up the
correct copy, and all was well (the was to plan remove the old packages once
I'd verified that the system was working).  Except for SD.  Turns out, the
path to the mythfilldatabase binary is stored in the database itself (I
vaguely recall noticing this when I first installed, but since the default
normally works I promptly ignored it).  That meant my old
0.20.0mythfilldatabase binary was being run every night... which, of
course, has
no idea how to update from Schedules Direct.  The result was the following
error message:

Grabbing XMLTV data using schedulesdirect1 is not verified as working.

Not exactly self-explanatory. :)  Of course, if I'd looked a little further
up, I would've seen it say "Using runtime prefix = /usr" which would've been
a bit of a tip-off.

Anyway. the solution was, of course, to change the mythfilldatabase path to
/usr/local/bin/mythtfilldatabase.  Just figured this would be useful in case
anyone else runs across the same problem and searches the archive.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mythtv.org/pipermail/mythtv-users/attachments/20070919/8d9c4b80/attachment.htm 

More information about the mythtv-users mailing list